/*
+-----------------------------------------------------------------------------+
| PROGRAMA: TesteGfGg     	 | AUTOR: Armando Lima		  | DATA: 20/05/2015  |
+-----------------------------------------------------------------------------+
| DESCRIÇÃO: Conecta na antiga API do Google Charts para gerar gráficos.      |
+-----------------------------------------------------------------------------+
| USO: Rotinas gerais.     								                      |
+-----------------------------------------------------------------------------+   
*/

User Function TesteGfGg

	_cTitPDF    := "Relatório com gráficos do Google Charts" // Título para o arquivo PDF
	nLin		:= 22	//Linha onde vai começar a impressão
	_nPagina	:= 1	//Relatório começa na página 1
	_nLimite	:= 837	//Limite para impressão dos dados
	Cabec1  	:= ""	//Cabeçalho auxiliar
	Cabec2		:= ""	//Cabeçalho auxiliar
	Cabec3		:= ""	//Cabeçalho auxiliar
			
	oPrint := FWMSPrinter():New(_cTitPDF,6,.F.,,.T.)	//Constrói objeto da classe FWMSPrinter
	oPrint:SetPortrait()								//Define relatório como paisagem
	oPrint:SetPaperSize(9)								//Define tamanho como A4
	oPrint:SetMargin(20,20,20,20)						//Define margens de impressão
	
	//Gráficos de barras 1
	_cURL		:= "https://chart.googleapis.com/chart?cht=bhs&chs=200x125&chd=t:10,50,60,80,40|50,60,100,40,20&chco=4d89f9,c6d9fd&chbh=20&chds=0,160" //URL do Google Charts API
	_oPNG 		:= HttpGet(_cURL) //Conecta com a web, envia a URL e recebe a imagem do gráfico
	_cNomeArq	:= GetTempPath()+ "graf_bar1.PNG"	//Define o nome do arquivo de imagem
	MemoWrite(_cNomeArq,_oPNG) //Salva na pasta TEMP
	oPrint:SayBitmap(30, 15, _cNomeArq, 200, 100)	//Pega essa imagem salva e coloca no relatório
	fErase(_cNomeArq) //Apaga o arquivo
	
	//Gráficos de barras 2
	_cURL	:= "https://chart.googleapis.com/chart?cht=bvs&chs=200x125&chd=t:10,50,60,80,40|50,60,100,40,20&chco=4d89f9,c6d9fd&chbh=20&chds=0,160" //URL do Google Charts API
	_oPNG 	:= HttpGet(_cURL) //Conecta com a web, envia a URL e recebe a imagem do gráfico
	_cNomeArq	:= GetTempPath()+ "graf_bar2.PNG"	//Define o nome do arquivo de imagem
	MemoWrite(_cNomeArq,_oPNG) //Salva na pasta TEMP
	oPrint:SayBitmap(30, 250, _cNomeArq, 200, 100)	//Pega essa imagem salva e coloca no relatório
	fErase(_cNomeArq) //Apaga o arquivo

	//Gráficos de barras 3
	_cURL	:= "https://chart.googleapis.com/chart?cht=bvs&chbh=5,2&chm=D,0033FF,2,0,5,1&chbh=20&chs=200x150&chd=s2:1XQbnf4,EWoQMUB,9halxp9&chco=4D89F9,C6D9FD" //URL do Google Charts API
	_oPNG 	:= HttpGet(_cURL) //Conecta com a web, envia a URL e recebe a imagem do gráfico
	_cNomeArq	:= GetTempPath()+ "graf_bar3.PNG"	//Define o nome do arquivo de imagem
	MemoWrite(_cNomeArq,_oPNG) //Salva na pasta TEMP
	oPrint:SayBitmap(30, 400, _cNomeArq, 200, 100)	//Pega essa imagem salva e coloca no relatório
	fErase(_cNomeArq) //Apaga o arquivo

	//Gráficos de pizza 1
	_cURL	:= "https://chart.googleapis.com/chart?cht=p&chd=s:Uf9a&chs=300x120&chl=January|February|March|April&chdl=30%C2%B0|40%C2%B0|50%C2%B0|60%C2%B0" //URL do Google Charts API
	_oPNG 	:= HttpGet(_cURL) //Conecta com a web, envia a URL e recebe a imagem do gráfico
	_cNomeArq	:= GetTempPath()+ "graf_piz1.PNG"	//Define o nome do arquivo de imagem
	MemoWrite(_cNomeArq,_oPNG) //Salva na pasta TEMP
	oPrint:SayBitmap(200, 15, _cNomeArq, 250, 100)	//Pega essa imagem salva e coloca no relatório
	fErase(_cNomeArq) //Apaga o arquivo

	//Gráficos de pizza 2
	_cURL	:= "https://chart.googleapis.com/chart?cht=p3&chs=280x100&chd=s:Hellob&chl=May%7CJune%7CJuly%7CAugust%7CSeptember%7COctober" //URL do Google Charts API
	_oPNG 	:= HttpGet(_cURL) //Conecta com a web, envia a URL e recebe a imagem do gráfico
	_cNomeArq	:= GetTempPath()+ "graf_piz2.PNG"	//Define o nome do arquivo de imagem
	MemoWrite(_cNomeArq,_oPNG) //Salva na pasta TEMP
	oPrint:SayBitmap(200, 300, _cNomeArq, 250, 100)	//Pega essa imagem salva e coloca no relatório
	fErase(_cNomeArq) //Apaga o arquivo
	
	oPrint:Preview() //Abre o relatório em PDF

Return